Bug 768731 - Transifex file submissions disable f14 and enable f16
Summary: Transifex file submissions disable f14 and enable f16
Status: CLOSED NOTABUG
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: software-management-guide   
(Show other bugs)
Version: devel
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Documentation Project
QA Contact: Jared Smith
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-18 11:51 UTC by Guillermo Gómez
Modified: 2014-05-08 16:25 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-08 16:25:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Guillermo Gómez 2011-12-18 11:51:04 UTC
Description of problem:

This to request that Transifex file submissions be disabled for the f14 branch and enabled for the new f16 branch for Software Management Guide book.

Comment 1 eric@christensenplace.us 2011-12-19 20:48:47 UTC
I don't think we do Transifex branching anymore which means the latest POTs just need to be posted.

Comment 2 Guillermo Gómez 2011-12-20 09:35:41 UTC
Im just following:

http://fedoraproject.org/wiki/Branching_a_document_in_git

Comment 3 Kevin Raymond 2011-12-20 10:29:03 UTC
As explained by Eric, we don't need branching anymore, there is only one version in transifex.net.

Of course, we can set up many branches, but that's not the way the actual workflow is.
The Guillermo request is in fact a transifex push in order to have up to date POs in transifex.net.
What's wrong is that I can't see the .tx folder in the source tree[1]… Therefor I don't expect this guide to be in translation  yet, [2] appear to be outdated[3].

From the git log, I can see that the last PO build is 2 days old, is this guide ready to be translated?
In the revision history I can read "Fedora 15 revision"… Should we just set the .tx/config file and tx push?

[1] https://fedorahosted.org/software-management-guide/browser/pot
[2] http://fedoraproject.org/wiki/Docs_Project_meetings#Guides
[3] https://www.transifex.net/projects/p/fedora-rpm-guide/resource/rpm-guide-management-software/

Comment 4 Guillermo Gómez 2011-12-20 11:46:51 UTC
(In reply to comment #3)
> As explained by Eric, we don't need branching anymore, there is only one
> version in transifex.net.

I guess we need to fix http://fedoraproject.org/wiki/Branching_a_document_in_git


> Of course, we can set up many branches, but that's not the way the actual
> workflow is.

Not my intention to modify the actual workflow :)

> The Guillermo request is in fact a transifex push in order to have up to date
> POs in transifex.net.

Indeed i'am trying to publish and make it available for translation.

> What's wrong is that I can't see the .tx folder in the source tree[1]… Therefor
> I don't expect this guide to be in translation  yet, [2] appear to be
> outdated[3].

Just pushed .tx folder

> From the git log, I can see that the last PO build is 2 days old, is this guide ready to be translated?

It is.

> In the revision history I can read "Fedora 15 revision"… Should we just set the .tx/config file and tx push?

Revision history also has modified to reflect this doc is for f16.

> [1] https://fedorahosted.org/software-management-guide/browser/pot
> [2] http://fedoraproject.org/wiki/Docs_Project_meetings#Guides
> [3]
> https://www.transifex.net/projects/p/fedora-rpm-guide/resource/rpm-guide-management-software/

Comment 5 Kevin Raymond 2011-12-20 12:28:34 UTC
Gotcha!
I didn't know that you were the guide owner (or at least commiter), sorry.

Ok, If you've set your .tx/config file correctly (you could check in other guides, I agree the wiki page that you gave should be updated), and if your ~/.transifexrc config file is set (with your transifex user/password, see [1]), and that you have transifex-client installed

then by "tx push -s" the POT would be pushed to transifex.
An other mandatory detail is that your transifex account is set as maintainer is the transifex.net resource.

Please come by irc if you need help (I won't be there for at least the next 6h but I am sure that there would be available people that could help you).

[1] http://help.transifex.net/features/client/index.html#transifexrc

Comment 6 Guillermo Gómez 2011-12-20 18:23:05 UTC
(In reply to comment #5)
> Gotcha!
> I didn't know that you were the guide owner (or at least commiter), sorry.

No need to be ! :) I just need some help, and thanks for helping ;)

> Ok, If you've set your .tx/config file correctly (you could check in other
> guides, I agree the wiki page that you gave should be updated), 

I would do it, but dont have the rights for this particular wiki page.

> and if your ~/.transifexrc config file is set (with your transifex user/password, see [1]), and that you have transifex-client installed
> 
> then by "tx push -s" the POT would be pushed to transifex.
> An other mandatory detail is that your transifex account is set as maintainer
> is the transifex.net resource.

Hmmm... not sure about that.. need to figure out that part.

> Please come by irc if you need help (I won't be there for at least the next 6h
> but I am sure that there would be available people that could help you).

#fedora-docs ?

> [1] http://help.transifex.net/features/client/index.html#transifexrc

reading it...

Comment 7 Kevin Raymond 2012-03-12 13:59:04 UTC
Still need help for that? Please come by irc if you can, yes in #fedora-docs or #transifex (in Freenode), guys would be there to help (probably).

Comment 8 Kevin Raymond 2013-03-21 17:34:11 UTC
What happened there?
POT still not pushed: https://fedora.transifex.com/projects/p/fedora-software-mgmt-guide/

http://fedoraproject.org/wiki/Docs_Project_meetings#Guides clearly out of date

Last pot update on 2011-12-21 from http://git.fedorahosted.org/cgit/docs/software-management-guide.git/log/pot

Shouldn't we remove this from Transifex and the above table?

Comment 9 Guillermo Gómez 2013-03-24 14:02:58 UTC
I'll need to review the whole process, sorry, i've really busy and out of the loop.

Im trying to catch up asap.

Comment 10 Kevin Raymond 2013-03-24 17:54:39 UTC
Ok, contact me email (shaiton@fpo) or irc if you need help, it's fast and easy when you know it.

Comment 11 Guillermo Gómez 2013-08-06 18:38:49 UTC
Im working on a f19 version....

My draft is on fp.

* http://gomix.fedorapeople.org/software-management-guide/

I need to recap the whole thing with Transifex ;)

Comment 12 Kevin Raymond 2013-08-06 19:43:56 UTC
Alright.
The general doc is 
https://fedoraproject.org/wiki/Setting_up_a_document_with_Transifex

Please ask help on the #fedora-docs irc chan, or here when you're ready to publish at Transifex for translations. Feel free to ping me, I will help you if I am around.

Comment 13 Pete Travis 2013-08-06 23:28:32 UTC
Before you get frustrated, you should be aware that projects in Transifex must have source language 'in' to be under the Fedora umbrella. I've been watching this bug with interest to see how you handle it :)

Comment 14 Pete Travis 2013-08-07 00:06:05 UTC
Source lang 'en'. DYAC!

Comment 15 Kevin Raymond 2013-08-07 09:32:09 UTC
Pete, really? What do you mean about Fedora Umbrella? The Fedora Project HUB?
I thought we could set "source_lang = whatever" in the .tx/config file...

I am sure that we have at least one guide who has not EN as source language. But it could be this specific guide.. :)

Sure, it does not help if we are not using en as source, as all translators speaks En.

Comment 16 Pete Travis 2013-08-07 16:55:47 UTC
Right, hub is the term I was searching for.  To clarify, I know that a new project must (at least now, perhaps not always) be created with source lang 'en', or the option to add to the Fedora hub to be available for selection.  

It may then be possible to define the transifex configuration for another source lang, or otherwise work around the issue - if a workaround is even required. 
 I suspect it is a technical issue with transifex, and wanted to share to avoid frustration if it was encountered but unknown.

Comment 17 Eric Christensen 2013-08-12 14:08:28 UTC
I only know of one other project that had its base (source) language that wasn't EN.  The "problem" was solved by translating it to English and then to other languages.

Unfortunately that is how our model is setup.  Our expectation is that the translators will translate text from English to another language.  This should limit someone's ability to write in their native language, though.  There's just another hop involved.


Note You need to log in before you can comment on or make changes to this bug.